<?php
include_once XOOPS_ROOT_PATH."/modules/neillibrary/function.php";


function xoops_module_install_neillibrary(&$module) {
  global $xoopsDB,$xoopsConfig;
  
include_once XOOPS_ROOT_PATH."/modules/neillibrary/include/{$xoopsConfig['language']}_onInstall.php";	
//模組加入防護模組網路爬蟲例外
protectorexception($modulesid="neillibrary");

 //建立neillibrary資料夾
fileadminfunction($fileurl="",$type="4",$fileex="",$from=XOOPS_ROOT_PATH . "/uploads/neillibrary",$fileurlnew="",$exclude="");
fileadminfunction($fileurl="",$type="4",$fileex="",$from=XOOPS_ROOT_PATH . "/uploads/neillibrary/qrcode",$fileurlnew="",$exclude="");   


if(function_exists('city_DBfunction')){  
city_DBfunction(); //建立城市管理資料
}
	return true;
}





/*
//建立目錄
function mk_dir($dir=""){
    //若無目錄名稱秀出警告訊息
    if(empty($dir))return;
    //若目錄不存在的話建立目錄
    if (!is_dir($dir)) {
        umask(000);
        //若建立失敗秀出警告訊息
        mkdir($dir, 0777);
    }
}
*/
?>
